Bug#821088: live-wrapper builds will need UEFI Secure Boot changes

classic Classic list List threaded Threaded
7 messages Options
Reply | Threaded
Open this post in threaded view
|

Bug#821088: live-wrapper builds will need UEFI Secure Boot changes

Steve McIntyre
Package: vmdebootstrap
Severity: important
Control: block 820036 with -1

When we get live builds going again with UEFI support, we'll need to
add support for Secure Boot too. This is a tracking bug - modify and
update as appropriate.

--
Steve McIntyre, Cambridge, UK.                                [hidden email]
"Every time you use Tcl, God kills a kitten." -- Malcolm Ray

Reply | Threaded
Open this post in threaded view
|

Bug#821088: [Vmdebootstrap-devel] Bug#821088: live-wrapper builds will need UEFI Secure Boot changes

Iain Learmonth-2
Hi,

On 15/04/16 11:17, Steve McIntyre wrote:
> Package: vmdebootstrap
> Severity: important
> Control: block 820036 with -1
>
> When we get live builds going again with UEFI support, we'll need to
> add support for Secure Boot too. This is a tracking bug - modify and
> update as appropriate.
>

Ack.

This bug should be reassigned to live-wrapper once it has entered the
archives.

Thanks,
Iain.

Reply | Threaded
Open this post in threaded view
|

Bug#821088: reassign #821088 to live-wrapper?

Lars Wirzenius-5
In reply to this post by Steve McIntyre
This bug has a message from Iain that says "This bug should be
reassigned to live-wrapper once it has entered the archives".
live-wrapper is in Debian (stable onwards). Should we reassign this
bug to live-wrapper?

--
I want to build worthwhile things that might last. --joeyh

signature.asc (849 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Bug#821088: reassign #821088 to live-wrapper?

Steve McIntyre
On Sun, Sep 17, 2017 at 05:45:18PM +0300, Lars Wirzenius wrote:
>This bug has a message from Iain that says "This bug should be
>reassigned to live-wrapper once it has entered the archives".
>live-wrapper is in Debian (stable onwards). Should we reassign this
>bug to live-wrapper?

I'm not sure yet. There's a series of these bugs open against various
Debian packages, basically as place-holders for now. vmdebootstrap is
the bit that installs kernelss, but live-wrapper is in charge of
it. They might both need changes yet, tbh...

--
Steve McIntyre, Cambridge, UK.                                [hidden email]
Can't keep my eyes from the circling sky,
Tongue-tied & twisted, Just an earth-bound misfit, I...

Reply | Threaded
Open this post in threaded view
|

Bug#821088: reassign #821088 to live-wrapper?

Iain R. Learmonth-2
Hi,

On 17/09/17 15:50, Steve McIntyre wrote:
> I'm not sure yet. There's a series of these bugs open against various
> Debian packages, basically as place-holders for now. vmdebootstrap is
> the bit that installs kernelss, but live-wrapper is in charge of
> it. They might both need changes yet, tbh...

The bug was cloned, or otherwise filed independently, on live-wrapper.
Changes will likely be required in both.

Thanks,
Iain.

Reply | Threaded
Open this post in threaded view
|

Bug#821088: reassign #821088 to live-wrapper?

Lars Wirzenius-5
Ack, I will not close or reassign the bug, then. Thanks.

--
I want to build worthwhile things that might last. --joeyh

signature.asc (849 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Bug#821088: vmdebootstrap: Missing UEFI Secure Boot support

Ben Hutchings-3
In reply to this post by Steve McIntyre
Control: found 1.11-1

I can confirm that this still doesn't work.

Ben.

--
Ben Hutchings
Quantity is no substitute for quality, but it's the only one we've got.



signature.asc (849 bytes) Download Attachment